Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.saxon.dom
Class DocumentBuilderImpl

    java.lang.Object
      javax.xml.parsers.DocumentBuilder
          net.sf.saxon.dom.DocumentBuilderImpl

public class DocumentBuilderImpl
extends javax.xml.parsers.DocumentBuilder

This class implements the JAXP DocumentBuilder interface, allowing a Saxon TinyTree to be constructed using standard JAXP parsing interfaces. Note that although the TinyTree implements the DOM interfaces, it is read-only, and all attempts to update it will throw an exception. No schema or DTD validation is carried out on the document.

Constructor Summary
`DocumentBuilderImpl()`

Method Summary
`org.w3c.dom.DOMImplementation` | `getDOMImplementation()`
`boolean` | `isNamespaceAware()`
`boolean` | `isValidating()`
`org.w3c.dom.Document` | `newDocument()`
`org.w3c.dom.Document` | `parse(org.xml.sax.InputSource in)`
`void` | `setEntityResolver(org.xml.sax.EntityResolver er)`
`void` | `setErrorHandler(org.xml.sax.ErrorHandler eh)`

Methods inherited from class javax.xml.parsers.DocumentBuilder
`parse, parse, parse, parse`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DocumentBuilderImpl

    public DocumentBuilderImpl()

Method Detail

### isNamespaceAware

    public boolean isNamespaceAware()

### isValidating

    public boolean isValidating()

### newDocument

    public org.w3c.dom.Document newDocument()

### parse

    public org.w3c.dom.Document parse(org.xml.sax.InputSource in)
                               throws org.xml.sax.SAXException

  Throws:
    `org.xml.sax.SAXException`

### setEntityResolver

    public void setEntityResolver(org.xml.sax.EntityResolver er)

### setErrorHandler

    public void setErrorHandler(org.xml.sax.ErrorHandler eh)

### getDOMImplementation

    public org.w3c.dom.DOMImplementation getDOMImplementation()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD